## partitionmanager 3.1.2

=== CMakeLists.txt ===
# Copyright (C) 2008 by Volker Lanz <vl@fidra.de>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

project(partitionmanager)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

set(CMAKE_USE_RELATIVE_PATHS OFF)
set(CMAKE_BUILD_WITH_INSTALL_RPATH ON)
set(KDE_INSTALL_USE_QT_SYS_PATHS ON CACHE BOOL "Install mkspecs files, Plugins and Imports to the Qt 5 install dir" FORCE)

set(QT_MIN_VERSION "5.7.0")
set(KPMCORE_MIN_VERSION "3.0.0")
# Check KPMcore dependency when bumping
set(VERSION_MAJOR "3")
set(VERSION_MINOR "1")
set(VERSION_RELEASE "2")
set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE})
add_definitions(-D'VERSION="${VERSION}"') #"

find_package(ECM 1.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})
include(ECMInstallIcons)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(GenerateExportHeader)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
  Core
  Gui
  Widgets
)

# Load the frameworks we need
find_package(KF5 5.31 REQUIRED
  Config
  ConfigWidgets
  CoreAddons
  Crash
  DocTools
  I18n
  IconThemes
  JobWidgets
  KIO
  Service
  XmlGui
  WidgetsAddons
)

# use sane compile flags
add_definitions(
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_CAST_TO_ASCII
  -DQT_NO_CAST_FROM_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
  -DQT_NO_CAST_TO_BYTEARRAY
  -DQT_NO_SIGNALS_SLOTS_KEYWORDS
  -DQT_USE_FAST_OPERATOR_PLUS
)

find_package(PkgConfig REQUIRED)
find_package(KPMcore ${KPMCORE_MIN_VERSION} REQUIRED)
pkg_check_modules(BLKID REQUIRED blkid)

include_directories(${Qt5Core_INCLUDE_DIRS} ${UUID_INCLUDE_DIRS} ${BLKID_INCLUDE_DIRS} ${KPMCORE_INCLUDE_DIR} lib/ src/)

add_subdirectory(src)
add_subdirectory(icons)
add_subdirectory(doc)

ki18n_install(po)

get_filename_component(_doc_translations_path doc-translations ABSOLUTE)

if (EXISTS ${_doc_translations_path}/CMakeLists.txt)
    add_subdirectory(doc-translations)
endif()

message(STATUS "KDE Partition Manager ${VERSION} will be built for install into ${CMAKE_INSTALL_PREFIX}")

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== doc/CMakeLists.txt ===
add_subdirectory(en)
add_subdirectory(de)
add_subdirectory(et)
add_subdirectory(ca)
add_subdirectory(nl)
add_subdirectory(pt_BR)
add_subdirectory(sv)
add_subdirectory(uk)

=== debian/changelog ===
partitionmanager (3.1.2-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Wed, 06 Sep 2017 15:08:50 +0200

partitionmanager (3.1.0-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.1.0.0 (no changes)
  * Update copyright years
  * Set architecture to linux-any
  * Update maintainer e-mail address

 -- Jonathan Carter <jcc@debian.org>  Mon, 10 Jul 2017 14:36:42 +0200

partitionmanager (3.0.1-1) experimental; urgency=medium

  * Update to new upstream version
  * Add libkpmcore4-dev as build-dependency
  * Update fdo-keywords patch
  * Update VCS URIs
  * Remove lintian-overrides (no longer needed)

 -- Jonathan Carter <jcarter@linux.com>  Wed, 22 Mar 2017 13:46:20 +0200

=== debian/control ===
Source: partitionmanager
Section: admin
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
           George Kiagiadakis <gkiagiad@csd.uoc.gr>,
           Jonathan Carter <jcc@debian.org>
Build-Depends: cdbs (>= 0.4.51),
               cmake,
               debhelper (>= 10),
               extra-cmake-modules,
               kdelibs5-dev,
               libkpmcore-dev,
               libatasmart-dev,
               libblkid-dev,
               libkf5config-dev,
               libkf5crash-dev,
               libkf5doctools-dev,
               libkf5jobwidgets-dev,
               libkf5kio-dev,
               libkf5kiocore5,
               libkf5widgetsaddons-dev,
               libkf5config-dev,
               libkf5iconthemes-dev,
               libkf5jobwidgets-dev,
               libkf5service-dev,
               libkf5widgetsaddons-dev,
               libkf5kio-dev,
               libkf5crash-dev,
               libkf5doctools-dev,
               libkf5i18n-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5xmlgui-dev,
               libparted0-dev (>= 2.2),
               pkg-config,
               pkg-kde-tools (>= 0.6.4),
               qtbase5-dev,
               uuid-dev
Standards-Version: 4.1.0.0
Homepage: https://www.kde.org/applications/system/kdepartitionmanager
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/partitionmanager.git/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/partitionmanager.git

Package: partitionmanager
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: dosfstools,
          hfsplus,
          hfsutils,
          jfsutils,
          ntfs-3g,
          reiser4progs,
          reiserfsprogs,
          xfsprogs
Description: file, disk and partition management for KDE
 Partition Manager is a utility program to help you manage the disk devices,
 partitions and file systems on your computer. It allows you to easily create,
 copy, move, delete, resize without losing data, backup and restore partitions.
 .
 Partition Manager supports a large number of file systems, including ext2/3/4,
 reiserfs, NTFS, FAT16/32, jfs, xfs and more. Note that to gain support for a
 specific file system other than ext2/3/4, you should install the corresponding
 suggested package.
 .
 Partition Manager is based on libparted (like gparted) and makes use of the
 KDE libraries for its user interface.

## partitionmanager 3.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,13 +22,17 @@
 set(KDE_INSTALL_USE_QT_SYS_PATHS ON CACHE BOOL "Install mkspecs files, Plugins and Imports to the Qt 5 install dir" FORCE)
 
 set(QT_MIN_VERSION "5.7.0")
-set(KPMCORE_MIN_VERSION "3.0.0")
+set(KF5_MIN_VERSION "5.31")
+set(KPMCORE_MIN_VERSION "3.3.0")
 # Check KPMcore dependency when bumping
 set(VERSION_MAJOR "3")
-set(VERSION_MINOR "1")
-set(VERSION_RELEASE "2")
+set(VERSION_MINOR "3")
+set(VERSION_RELEASE "1")
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE})
 add_definitions(-D'VERSION="${VERSION}"') #"
+
+set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})
@@ -47,19 +51,21 @@
 )
 
 # Load the frameworks we need
-find_package(KF5 5.31 REQUIRED
-  Config
-  ConfigWidgets
-  CoreAddons
-  Crash
-  DocTools
-  I18n
-  IconThemes
-  JobWidgets
-  KIO
-  Service
-  XmlGui
-  WidgetsAddons
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
+  COMPONENTS
+    Config
+    ConfigWidgets
+    CoreAddons
+    Crash
+    I18n
+    IconThemes
+    JobWidgets
+    KIO
+    Service
+    XmlGui
+    WidgetsAddons
+  OPTIONAL_COMPONENTS
+    DocTools
 )
 
 # use sane compile flags
@@ -73,6 +79,7 @@
   -DQT_NO_CAST_TO_BYTEARRAY
   -DQT_NO_SIGNALS_SLOTS_KEYWORDS
   -DQT_USE_FAST_OPERATOR_PLUS
+  -DQT_DISABLE_DEPRECATED_BEFORE=0x050900
 )
 
 find_package(PkgConfig REQUIRED)
@@ -83,16 +90,17 @@
 
 add_subdirectory(src)
 add_subdirectory(icons)
-add_subdirectory(doc)
+if (KF5DocTools_FOUND)
+    add_subdirectory(doc)
+endif()
 
 ki18n_install(po)
-
-get_filename_component(_doc_translations_path doc-translations ABSOLUTE)
-
-if (EXISTS ${_doc_translations_path}/CMakeLists.txt)
-    add_subdirectory(doc-translations)
-endif()
 
 message(STATUS "KDE Partition Manager ${VERSION} will be built for install into ${CMAKE_INSTALL_PREFIX}")
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
+  find_package(KF5DocTools CONFIG)
+  if(KF5DocTools_FOUND)
+    kdoctools_install(po)
+  endif()

=== doc/CMakeLists.txt ===
kdoctools_create_handbook( index.docbook  INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR partitionmanager )

=== src/config/CMakeLists.txt ===
set(CONFIG_SRC
	config/advancedpagewidget.cpp
	config/configureoptionsdialog.cpp
	config/filesystemcolorspagewidget.cpp
	config/generalpagewidget.cpp
)

=== debian/changelog ===
partitionmanager (3.3.1-2) unstable; urgency=medium

  * Add required build-dependencies previously removed in error:
    - libkf5iconthemes-dev
    - libkf5kio-dev
    - libkf5service-dev

 -- Jonathan Carter <jcc@debian.org>  Fri, 09 Feb 2018 13:47:37 +0200

partitionmanager (3.3.1-1) unstable; urgency=medium

  * Upload to unstable (Closes: #888729)

 -- Jonathan Carter <jcc@debian.org>  Fri, 09 Feb 2018 09:47:40 +0200

partitionmanager (3.3.1-1~exp1) experimental; urgency=medium

  * New upstream release
  * Update standards version to 4.1.3
  * Remove build-dependencies that are no longer required
    - libkf5iconthemes-dev
    - libkf5kio-dev
    - libkf5service-dev

 -- Jonathan Carter <jcc@debian.org>  Thu, 08 Feb 2018 04:20:17 -0500

partitionmanager (3.2.1-3) unstable; urgency=medium

  * Remove stale dependency kdelibs5-dev (Closes: #883592)
  * Update standards version to 4.1.2

 -- Jonathan Carter <jcc@debian.org>  Mon, 11 Dec 2017 21:01:43 +0200

partitionmanager (3.2.1-2) unstable; urgency=medium

  * Add version spec for libkpmcore-dev build-dependency

 -- Jonathan Carter <jcc@debian.org>  Wed, 25 Oct 2017 09:20:59 +0200

partitionmanager (3.2.1-1) unstable; urgency=medium

  * New upstream release
  * Update debian/copyright
  * Update standards version to 4.1.1
  * Build-depend on libparted-dev rather than libparted0-dev (Closes: 878627)
  * Drop fdo-desktop-keywords patch (merged upstream)

 -- Jonathan Carter <jcc@debian.org>  Mon, 16 Oct 2017 10:03:12 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
                cmake,
                debhelper (>= 10),
                extra-cmake-modules,
-               kdelibs5-dev,
-               libkpmcore-dev,
+               libkpmcore-dev (>= 3.2.0),
                libatasmart-dev,
                libblkid-dev,
                libkf5config-dev,
@@ -18,26 +17,26 @@
                libkf5doctools-dev,
                libkf5jobwidgets-dev,
                libkf5kio-dev,
+               libkf5iconthemes-dev,
+               libkf5kio-dev,
+               libkf5service-dev,
                libkf5kiocore5,
                libkf5widgetsaddons-dev,
                libkf5config-dev,
-               libkf5iconthemes-dev,
                libkf5jobwidgets-dev,
-               libkf5service-dev,
                libkf5widgetsaddons-dev,
-               libkf5kio-dev,
                libkf5crash-dev,
                libkf5doctools-dev,
                libkf5i18n-dev,
                libkf5configwidgets-dev,
                libkf5coreaddons-dev,
                libkf5xmlgui-dev,
-               libparted0-dev (>= 2.2),
+               libparted-dev (>= 2.2),
                pkg-config,
                pkg-kde-tools (>= 0.6.4),
                qtbase5-dev,
                uuid-dev
-Standards-Version: 4.1.0.0
+Standards-Version: 4.1.3
 Homepage: https://www.kde.org/applications/system/kdepartitionmanager
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/partitionmanager.git/
 Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/partitionmanager.git

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
DEB_KDE_LINK_WITH_AS_NEEDED := yes
DEB_CMAKE_CUSTOM_FLAGS := -DPARTMAN_KCM=OFF

include /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk
include /usr/share/cdbs/1/rules/debhelper.mk

=== debian/watch ===
version=3
http://download.kde.org/stable/partitionmanager/([\d.]+)/src/partitionmanager-([\d.]+)\.tar\.xz

## partitionmanager 4.0.0

=== debian/changelog ===
partitionmanager (4.0.0-2) unstable; urgency=medium

  * Set correct copyright information for appdata.xml in debian/copyright

 -- Jonathan Carter <jcc@debian.org>  Wed, 23 Oct 2019 11:35:53 +0000

partitionmanager (4.0.0-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.4.1
  * Drop ancient versioned dependency on:
    - pkg-kde-tools
    - libkpmcore-dev
    - libparted-dev
  * Upgrade to debhelper-compat (12)
  * Remove cdbs

 -- Jonathan Carter <jcc@debian.org>  Mon, 14 Oct 2019 09:57:32 +0000

partitionmanager (3.3.1-5) unstable; urgency=medium

  * Fix bug number in previous changelog entry

 -- Jonathan Carter <jcc@debian.org>  Sat, 01 Dec 2018 19:40:50 +0200

partitionmanager (3.3.1-4) unstable; urgency=medium

  * debian/control: Add btrfs-progs to suggests field
    (Closes: #912990)

 -- Jonathan Carter <jcc@debian.org>  Tue, 27 Nov 2018 10:18:20 +0200

partitionmanager (3.3.1-3) unstable; urgency=medium

  * Move git repository to salsa.debian.net
  * Update standards version to 4.2.1
  * Update maintainer team e-mail address

 -- Jonathan Carter <jcc@debian.org>  Sat, 29 Sep 2018 14:49:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: partitionmanager
 Section: admin
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <debian-qt-kde@lists.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>,
            George Kiagiadakis <gkiagiad@csd.uoc.gr>,
            Jonathan Carter <jcc@debian.org>
-Build-Depends: cdbs (>= 0.4.51),
-               cmake,
-               debhelper (>= 10),
+Build-Depends: cmake,
+               debhelper-compat (= 12),
                extra-cmake-modules,
-               libkpmcore-dev (>= 3.2.0),
+               libkpmcore-dev,
                libatasmart-dev,
                libblkid-dev,
                libkf5config-dev,
@@ -31,20 +30,21 @@
                libkf5configwidgets-dev,
                libkf5coreaddons-dev,
                libkf5xmlgui-dev,
-               libparted-dev (>= 2.2),
+               libparted-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.6.4),
+               pkg-kde-tools,
                qtbase5-dev,
                uuid-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.4.1
 Homepage: https://www.kde.org/applications/system/kdepartitionmanager
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/partitionmanager.git/
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/partitionmanager.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/partitionmanager
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/partitionmanager.git
 
 Package: partitionmanager
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: dosfstools,
+          btrfs-progs,
           hfsplus,
           hfsutils,
           jfsutils,

## partitionmanager 4.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 # Copyright (C) 2008 by Volker Lanz <vl@fidra.de>
+# Copyright (C) 2014-2019 by Andrius Štikonas <andrius@stikonas.eu>
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -15,26 +16,28 @@
 
 project(partitionmanager)
 
-cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.1 FATAL_ERROR)
+
+# Dependencies
+set(QT_MIN_VERSION "5.10.0")
+set(KF5_MIN_VERSION "5.56")
+set(KPMCORE_MIN_VERSION "4.1.0")
 
 set(CMAKE_USE_RELATIVE_PATHS OFF)
 set(CMAKE_BUILD_WITH_INSTALL_RPATH ON)
 set(KDE_INSTALL_USE_QT_SYS_PATHS ON CACHE BOOL "Install mkspecs files, Plugins and Imports to the Qt 5 install dir" FORCE)
 
-set(QT_MIN_VERSION "5.7.0")
-set(KF5_MIN_VERSION "5.31")
-set(KPMCORE_MIN_VERSION "3.3.0")
 # Check KPMcore dependency when bumping
-set(VERSION_MAJOR "3")
-set(VERSION_MINOR "3")
-set(VERSION_RELEASE "1")
+set(VERSION_MAJOR "4")
+set(VERSION_MINOR "1")
+set(VERSION_RELEASE "0")
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE})
 add_definitions(-D'VERSION="${VERSION}"') #"
 
 set(CMAKE_CXX_STANDARD 14)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-find_package(ECM 1.0.0 REQUIRED NO_MODULE)
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})
 include(ECMInstallIcons)
 
@@ -57,13 +60,13 @@
     ConfigWidgets
     CoreAddons
     Crash
+    DBusAddons
     I18n
     IconThemes
     JobWidgets
     KIO
-    Service
+    WidgetsAddons
     XmlGui
-    WidgetsAddons
   OPTIONAL_COMPONENTS
     DocTools
 )
@@ -82,9 +85,7 @@
   -DQT_DISABLE_DEPRECATED_BEFORE=0x050900
 )
 
-find_package(PkgConfig REQUIRED)
 find_package(KPMcore ${KPMCORE_MIN_VERSION} REQUIRED)
-pkg_check_modules(BLKID REQUIRED blkid)
 
 include_directories(${Qt5Core_INCLUDE_DIRS} ${UUID_INCLUDE_DIRS} ${BLKID_INCLUDE_DIRS} ${KPMCORE_INCLUDE_DIR} lib/ src/)

=== icons/CMakeLists.txt ===
ecm_install_icons(ICONS sc-apps-partitionmanager.svg DESTINATION ${KDE_INSTALL_ICONDIR})

=== src/CMakeLists.txt ===
# Copyright (C) 2008, 2012 by Volker Lanz <vl@fidra.de>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

############################################

include(config/CMakeLists.txt)
include(gui/CMakeLists.txt)
include(util/CMakeLists.txt)

set(partitionmanager_SRCS
	main.cpp
	${CONFIG_SRC}
	${GUI_SRC}
	${UTIL_SRC}
)

file(GLOB partitionmanager_UIFILES config/*.ui gui/*.ui)

ki18n_wrap_ui(partitionmanager_SRCS ${partitionmanager_UIFILES})

kconfig_add_kcfg_files(partitionmanager_SRCS config.kcfgc)
install(FILES partitionmanager.kcfg DESTINATION ${KCFG_INSTALL_DIR})

############################################

add_executable(partitionmanager ${partitionmanager_SRCS} )

target_link_libraries(partitionmanager ${BLKID_LIBRARIES}
	kpmcore
	KF5::ConfigCore
	KF5::ConfigGui
	KF5::ConfigWidgets
	KF5::CoreAddons
	KF5::Crash
	KF5::DBusAddons
	KF5::I18n
	KF5::IconThemes
	KF5::JobWidgets
	KF5::KIOWidgets
	KF5::WidgetsAddons
	KF5::XmlGui
)

target_compile_definitions(partitionmanager PRIVATE -DCMAKE_INSTALL_FULL_LIBEXECDIR_KF5=\"${CMAKE_INSTALL_FULL_LIBEXECDIR_KF5}\")

install(TARGETS partitionmanager ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES org.kde.partitionmanager.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
install(FILES gui/partitionmanagerui.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/partitionmanager)
install(PROGRAMS org.kde.partitionmanager.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

############################################

=== src/gui/CMakeLists.txt ===
set(GUI_SRC
    gui/applyprogressdetailswidget.cpp
    gui/applyprogressdialog.cpp
    gui/applyprogressdialogwidget.cpp
    gui/createpartitiontabledialog.cpp
    gui/createpartitiontablewidget.cpp
    gui/createvolumegroupdialog.cpp
    gui/devicepropsdialog.cpp
    gui/devicepropswidget.cpp
    gui/editmountpointdialog.cpp
    gui/editmountpointdialogwidget.cpp
    gui/editmountoptionsdialog.cpp
    gui/editmountoptionsdialogwidget.cpp
    gui/filesystemsupportdialog.cpp
    gui/filesystemsupportdialogwidget.cpp
    gui/formattedspinbox.cpp
    gui/infopane.cpp
    gui/insertdialog.cpp
    gui/listdevices.cpp
    gui/listoperations.cpp
    gui/listphysicalvolumes.cpp
    gui/mainwindow.cpp
    gui/newdialog.cpp
    gui/partitionmanagerwidget.cpp
    gui/partpropsdialog.cpp
    gui/parttablewidget.cpp
    gui/resizedialog.cpp
    gui/resizevolumegroupdialog.cpp
    gui/scanprogressdialog.cpp
    gui/sizedetailswidget.cpp
    gui/sizedialogbase.cpp
    gui/sizedialogwidget.cpp
    gui/smartdialog.cpp
    gui/smartdialogwidget.cpp
    gui/treelog.cpp
    gui/volumegroupdialog.cpp
    gui/volumegroupwidget.cpp
)

=== src/util/CMakeLists.txt ===
set(UTIL_SRC
	util/guihelpers.cpp
)

=== debian/changelog ===
partitionmanager (4.1.0-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.5.0
  * Declare Rules-Requires-Root
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Mon, 24 Feb 2020 11:23:25 +0200

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,8 @@
                pkg-kde-tools,
                qtbase5-dev,
                uuid-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://www.kde.org/applications/system/kdepartitionmanager
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/partitionmanager
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/partitionmanager.git

## partitionmanager 20.12.2

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2008 Volker Lanz <vl@fidra.de>
# SPDX-FileCopyrightText: 2014-2020 Andrius Štikonas <andrius@stikonas.eu>

# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.1 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "20")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "2")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(partitionmanager VERSION ${RELEASE_SERVICE_VERSION})

# Dependencies
set(QT_MIN_VERSION "5.10.0")
set(KF5_MIN_VERSION "5.73")
set(KPMCORE_MIN_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}")

set(CMAKE_USE_RELATIVE_PATHS OFF)
set(CMAKE_BUILD_WITH_INSTALL_RPATH ON)
set(KDE_INSTALL_USE_QT_SYS_PATHS ON CACHE BOOL "Install mkspecs files, Plugins and Imports to the Qt 5 install dir" FORCE)

add_definitions(-D'VERSION="${RELEASE_SERVICE_VERSION}"')

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})
include(ECMInstallIcons)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(GenerateExportHeader)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
  Core
  Gui
  Widgets
)

# Load the frameworks we need
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
  COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    I18n
    JobWidgets
    KIO
    WidgetsAddons
    XmlGui
  OPTIONAL_COMPONENTS
    DocTools
)

# use sane compile flags
add_definitions(
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_CAST_TO_ASCII
  -DQT_NO_CAST_FROM_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
  -DQT_NO_CAST_TO_BYTEARRAY
  -DQT_USE_FAST_OPERATOR_PLUS
  -DQT_DISABLE_DEPRECATED_BEFORE=0x050900
  -DQT_NO_KEYWORDS
)

find_package(KPMcore ${KPMCORE_MIN_VERSION} REQUIRED)

include_directories(${Qt5Core_INCLUDE_DIRS} ${UUID_INCLUDE_DIRS} ${BLKID_INCLUDE_DIRS} ${KPMCORE_INCLUDE_DIR} lib/ src/)

add_subdirectory(src)
add_subdirectory(icons)
if (KF5DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

ki18n_install(po)

message(STATUS "KDE Partition Manager ${RELEASE_SERVICE_VERSION} will be built for install into ${CMAKE_INSTALL_PREFIX}")

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,7 @@
-# Copyright (C) 2008, 2012 by Volker Lanz <vl@fidra.de>
-#
-# This program is free software; you can redistribute it and/or
-# modify it under the terms of the GNU General Public License as
-# published by the Free Software Foundation; either version 3 of
-# the License, or (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# SPDX-FileCopyrightText: 2008 Volker Lanz <vl@fidra.de>
+# SPDX-FileCopyrightText: 2014-2020 Andrius Štikonas <andrius@stikonas.eu>
 
-############################################
+# SPDX-License-Identifier: GPL-3.0-or-later
 
 include(config/CMakeLists.txt)
 include(gui/CMakeLists.txt)
@@ -46,7 +34,6 @@
 	KF5::Crash
 	KF5::DBusAddons
 	KF5::I18n
-	KF5::IconThemes
 	KF5::JobWidgets
 	KF5::KIOWidgets
 	KF5::WidgetsAddons

=== debian/changelog ===
partitionmanager (20.12.2-2) unstable; urgency=medium

  * Team upload.
  * Add the configuration for the CI on salsa.
  * Drop the Debian man page, as it offers no useful information.
  * Use the kf5 dh addon, so standard bits for KF-based applications are used.
  * Bump the libkpmcore-dev build dependency to 20.12.2-3~, as that version
    properly depends on the libkpmcore library package.
  * Drop the unused libkf5service-dev build dependency.
  * Enable the build on any architecture (not only Linux ones), as it should
    build fine now.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Feb 2021 15:56:09 +0100

partitionmanager (20.12.2-1) unstable; urgency=medium

  * Update upstream GPG signing key.
  * New upstream release (20.12.2).
  * Removed Mark Purcell from the uploaders, thanks for your work on the
    package!
  * Update Vcs-* fields after moving the Salsa repo from extras/ to kde/.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 08 Feb 2021 14:34:34 +0100

partitionmanager (20.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Wed, 13 Jan 2021 09:09:14 +0200

partitionmanager (20.12.0-1) unstable; urgency=medium

  * Adapt watch file to new release-service location.
  * Borrow minimal upstream signing key from k3b.
  * New upstream release (20.12.0).
  * Update build dependencies according to the upstream build system:
    - bump Qt to 5.10
    - bump KF5 to 5 73
    - add libkf5dbusaddons-dev
    - drop libkf5kiocore5, uuid-dev
    - drop libatasmart-dev, libblkid-dev, libparted-dev that are build
      dependencies of kpmcore after the split
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Removed George Kiagiadakis from the uploaders, thanks for your work
    on the package!
  * Add myself to the uploaders.
  * Change maintainer to Debian Qt/KDE Maintainers now that Partition Manager
    is part of official KDE apps release service.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 02 Jan 2021 10:07:33 +0100

partitionmanager (4.2.0-1) unstable; urgency=medium

  * New upstream release
  * Add upstream signing key
  * Add new translation copyright

 -- Jonathan Carter <jcc@debian.org>  Tue, 20 Oct 2020 10:48:15 +0200

partitionmanager (4.1.0-2) unstable; urgency=medium

  * Small change upload for kpmcore ABI bump (to version 10)
  * Remove trailing whitespace in changelog
  * Bump debhelper-compat to 13

 -- Jonathan Carter <jcc@debian.org>  Sun, 18 Oct 2020 19:09:02 +0200

=== debian/control ===
Source: partitionmanager
Section: admin
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Jonathan Carter <jcc@debian.org>,
Build-Depends: cmake (>= 3.1),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.73.0~),
               gettext,
               libkf5config-dev (>= 5.73.0~),
               libkf5configwidgets-dev (>= 5.73.0~),
               libkf5coreaddons-dev (>= 5.73.0~),
               libkf5crash-dev (>= 5.73.0~),
               libkf5dbusaddons-dev (>= 5.73.0~),
               libkf5doctools-dev (>= 5.73.0~),
               libkf5i18n-dev (>= 5.73.0~),
               libkf5jobwidgets-dev (>= 5.73.0~),
               libkf5kio-dev (>= 5.73.0~),
               libkf5widgetsaddons-dev (>= 5.73.0~),
               libkf5xmlgui-dev (>= 5.73.0~),
               libkpmcore-dev (>= 20.12.2-3~),
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.10.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://www.kde.org/applications/system/kdepartitionmanager
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/partitionmanager
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/partitionmanager.git

Package: partitionmanager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: btrfs-progs,
          dosfstools,
          hfsplus,
          hfsutils,
          jfsutils,
          ntfs-3g,
          reiser4progs,
          reiserfsprogs,
          xfsprogs
Description: file, disk and partition management for KDE
 Partition Manager is a utility program to help you manage the disk devices,
 partitions and file systems on your computer. It allows you to easily create,
 copy, move, delete, resize without losing data, backup and restore partitions.
 .
 Partition Manager supports a large number of file systems, including ext2/3/4,
 reiserfs, NTFS, FAT16/32, jfs, xfs and more. Note that to gain support for a
 specific file system other than ext2/3/4, you should install the corresponding
 suggested package.
 .
 Partition Manager is based on libparted (like gparted) and makes use of the
 KDE libraries for its user interface.

## partitionmanager 20.12.3

=== debian/changelog ===
partitionmanager (20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:30:13 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5kio-dev (>= 5.73.0~),
                libkf5widgetsaddons-dev (>= 5.73.0~),
                libkf5xmlgui-dev (>= 5.73.0~),
-               libkpmcore-dev (>= 20.12.2-3~),
+               libkpmcore-dev (>= 20.12.3~),
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev (>= 5.10.0~),

## partitionmanager 21.08.1

=== debian/changelog ===
partitionmanager (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:41:49 +0100

partitionmanager (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:11:44 +0100

partitionmanager (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:06:22 +0100

partitionmanager (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 17 Jul 2021 19:08:56 +0100

partitionmanager (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:53:03 +0100

partitionmanager (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:50:40 +0100

partitionmanager (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:17:00 +0100

partitionmanager (21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:48:37 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5kio-dev (>= 5.73.0~),
                libkf5widgetsaddons-dev (>= 5.73.0~),
                libkf5xmlgui-dev (>= 5.73.0~),
-               libkpmcore-dev (>= 20.12.3~),
+               libkpmcore-dev (>= 21.08.1~),
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev (>= 5.10.0~),

## partitionmanager 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,17 +3,17 @@
 
 # SPDX-License-Identifier: GPL-3.0-or-later
 
-cmake_minimum_required(VERSION 3.1 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "20")
+set (RELEASE_SERVICE_VERSION_MAJOR "21")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(partitionmanager VERSION ${RELEASE_SERVICE_VERSION})
 
 # Dependencies
-set(QT_MIN_VERSION "5.10.0")
+set(QT_MIN_VERSION "5.14.0")
 set(KF5_MIN_VERSION "5.73")
 set(KPMCORE_MIN_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}")

=== src/config/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2015 Chris Campbell <c.j.campbell@ed.ac.uk>
+
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 set(CONFIG_SRC
 	config/advancedpagewidget.cpp
 	config/configureoptionsdialog.cpp

=== debian/changelog ===
partitionmanager (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:19:58 +0000

partitionmanager (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:26:32 +0000

partitionmanager (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:34:24 +0000

partitionmanager (21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:31:25 +0000

partitionmanager (21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:14:07 +0000

partitionmanager (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:26:47 +0000

partitionmanager (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:33:20 +0000

partitionmanager (21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:48:59 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: partitionmanager
 Section: admin
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Jonathan Carter <jcc@debian.org>,
 Build-Depends: cmake (>= 3.1),
@@ -19,15 +20,15 @@
                libkf5kio-dev (>= 5.73.0~),
                libkf5widgetsaddons-dev (>= 5.73.0~),
                libkf5xmlgui-dev (>= 5.73.0~),
-               libkpmcore-dev (>= 21.08.1~),
+               libkpmcore-dev (>= 21.12.3~),
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev (>= 5.10.0~),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/applications/system/kdepartitionmanager
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/partitionmanager
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/partitionmanager.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/partitionmanager
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/partitionmanager
 
 Package: partitionmanager
 Architecture: any

## partitionmanager 22.08.1

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2008 Volker Lanz <vl@fidra.de>
# SPDX-FileCopyrightText: 2014-2022 Andrius Štikonas <andrius@stikonas.eu>

# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "22")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "1")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(partitionmanager VERSION ${RELEASE_SERVICE_VERSION})

# Dependencies
set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.91")
set(KPMCORE_MIN_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}")

set(KDE_COMPILERSETTINGS_LEVEL "5.85")

set(CMAKE_USE_RELATIVE_PATHS OFF)
set(CMAKE_BUILD_WITH_INSTALL_RPATH ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH})
include(ECMInstallIcons)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(GenerateExportHeader)

if (NOT QT_MAJOR_VERSION)
    set(QT_MAJOR_VERSION "5")
endif()

find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
  Core
  Gui
  Widgets
)

# Load the frameworks we need
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
  COMPONENTS
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    I18n
    JobWidgets
    KIO
    WidgetsAddons
    WindowSystem
    XmlGui
  OPTIONAL_COMPONENTS
    DocTools
)

find_package(PolkitQt${QT_MAJOR_VERSION}-1 REQUIRED)

add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)

find_package(KPMcore ${KPMCORE_MIN_VERSION} REQUIRED)

add_subdirectory(src)
add_subdirectory(icons)
if (KF5DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

ki18n_install(po)

message(STATUS "KDE Partition Manager ${RELEASE_SERVICE_VERSION} will be built for install into ${CMAKE_INSTALL_PREFIX}")

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
partitionmanager (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:49:01 +0100

partitionmanager (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:58:09 +0100

partitionmanager (22.04.3-2ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Aug 2022 16:39:24 +0100

partitionmanager (22.04.3-2) unstable; urgency=medium

  * Add libpolkit-qt5-1-dev as build-dep (fixes FTBFS)

 -- Jonathan Carter <jcc@debian.org>  Thu, 11 Aug 2022 11:51:10 +0200

partitionmanager (22.04.3-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.1
  * Update copyright years
  * Remove trailing whitespace in copyright file
  * Remove inactive maintainer

 -- Jonathan Carter <jcc@debian.org>  Wed, 10 Aug 2022 12:45:41 +0200

partitionmanager (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:36:17 +0100

partitionmanager (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:11:00 +0100

partitionmanager (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:10:18 +0100

partitionmanager (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Build depend on libpolkit-qt5-1-dev

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:57:25 +0100

partitionmanager (21.12.3-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Sat, 05 Mar 2022 18:21:39 +0200

partitionmanager (21.12.2-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Thu, 17 Feb 2022 11:30:32 +0200

partitionmanager (21.12.1-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.0

 -- Jonathan Carter <jcc@debian.org>  Thu, 20 Jan 2022 12:13:59 +0200

partitionmanager (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 17 Aug 2021 12:31:44 +0900

partitionmanager (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Add myself to uploaders.
  * Bump dependencies according to cmake.

 -- Norbert Preining <norbert@preining.info>  Mon, 26 Apr 2021 09:50:21 +0900

=== debian/control ===
--- 
+++ 
@@ -20,11 +20,12 @@
                libkf5kio-dev (>= 5.73.0~),
                libkf5widgetsaddons-dev (>= 5.73.0~),
                libkf5xmlgui-dev (>= 5.73.0~),
-               libkpmcore-dev (>= 21.12.3~),
+               libkpmcore-dev (>= 22.08.1~),
+               libpolkit-qt5-1-dev,
                pkg-config,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.10.0~),
-Standards-Version: 4.5.1
+               qtbase5-dev (>= 5.14.0~),
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/applications/system/kdepartitionmanager
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/partitionmanager
@@ -41,7 +42,7 @@
           ntfs-3g,
           reiser4progs,
           reiserfsprogs,
-          xfsprogs
+          xfsprogs,
 Description: file, disk and partition management for KDE
  Partition Manager is a utility program to help you manage the disk devices,
  partitions and file systems on your computer. It allows you to easily create,

## partitionmanager 22.12.0

=== debian/changelog ===
partitionmanager (22.12.0-1) unstable; urgency=medium

  [ Jonathan Carter ]
  * Remove self from uploaders (package now part of KDE team) 

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:48 +0100

=== debian/control ===
Source: partitionmanager
Section: admin
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.91~),
               gettext,
               libkf5config-dev (>= 5.91~),
               libkf5configwidgets-dev (>= 5.91~),
               libkf5coreaddons-dev (>= 5.91~),
               libkf5crash-dev (>= 5.91~),
               libkf5dbusaddons-dev (>= 5.91~),
               libkf5doctools-dev (>= 5.91~),
               libkf5i18n-dev (>= 5.91~),
               libkf5jobwidgets-dev (>= 5.91~),
               libkf5kio-dev (>= 5.91~),
               libkf5widgetsaddons-dev (>= 5.91~),
               libkf5windowsystem-dev (>= 5.91~),
               libkf5xmlgui-dev (>= 5.91~),
               libkpmcore-dev (>= 21.04~),
               libpolkit-qt5-1-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://www.kde.org/applications/system/kdepartitionmanager
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/partitionmanager
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/partitionmanager.git

Package: partitionmanager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: btrfs-progs,
          dosfstools,
          hfsplus,
          hfsutils,
          jfsutils,
          ntfs-3g,
          reiser4progs,
          reiserfsprogs,
          xfsprogs,
Description: file, disk and partition management for KDE
 Partition Manager is a utility program to help you manage the disk devices,
 partitions and file systems on your computer. It allows you to easily create,
 copy, move, delete, resize without losing data, backup and restore partitions.
 .
 Partition Manager supports a large number of file systems, including ext2/3/4,
 reiserfs, NTFS, FAT16/32, jfs, xfs and more. Note that to gain support for a
 specific file system other than ext2/3/4, you should install the corresponding
 suggested package.
 .
 Partition Manager is based on libparted (like gparted) and makes use of the
 KDE libraries for its user interface.
